Grid< GCellT >(3)

NAME
Grid< GCellT > - Template Class for Regular Grid.

SYNOPSIS

Inherits BaseGrid.

  Public Member Functions
GCellT * getGCell (unsigned int index) const
GCellT * getGCell (const Point p) const
GCellT * getGCell (const Point p1, const Point p2) const
GCellT * getGCellLeft (const GCellT *gcell) const
GCellT * getGCellRight (const GCellT *gcell) const
GCellT * getGCellUp (const GCellT *gcell) const
GCellT * getGCellDown (const GCellT *gcell) const
GenericCollection< GCellT * > getGCells ()
GenericCollection< GCellT * > getGCellsColumn (unsigned int column, unsigned int rowStart, unsigned int rowStop)
GenericCollection< GCellT * > getGCellsRow (unsigned int row, unsigned int columnStart, unsigned int columnStop)

  Protected Member Functions
Grid (const Box &)

Detailed Description

  template<typename GCellT>
class Katabatic::Grid< GCellT >" Template Class for Regular Grid. Contains all general purpose methods depending on the GCell type and geometrical computations. The internal storage is still not implemented in this class.

Constructor & Destructor Documentation

  Grid (const Box & bb) [inline], [protected]
Grid constructor.

Member Function Documentation

  CGellT * getGCell (unsigned int index) const [inline]
Returns: The grid object at linear index index in the vector. If index is out of bounds, return NULL.

Referenced by GCellTopology::doRp_AccessPad(), GCellTopology::doRp_AutoContacts(), and anonymous_namespace{LoadGrByNet.cpp}::singleGCell().

  CGellT * getGCell (const Point p) const [inline]
Returns: The grid object which is under position p.

  CGellT * getGCell (const Point p1, const Point p2) const [inline]
Returns: The grid object which is under position p1 and p2. Not very clear though.

  CGellT * getGCellLeft (const GCellT * gcell) const [inline]
Returns: The left neighbor of gcell, NULL if it is the leftmost one.

Referenced by GCell::getLeft().

  CGellT * getGCellRight (const GCellT * gcell) const [inline]
Returns: The rigth neighbor of gcell, NULL if it is the rightmost one.

Referenced by GCell::getRight().

  CGellT * getGCellUp (const GCellT * gcell) const [inline]
Returns: The upper neighbor of gcell, NULL if it is the uppermost one.

Referenced by GCell::getUp().

  CGellT * getGCellDown (const GCellT * gcell) const [inline]
Returns: The down neighbor of gcell, NULL if it is the downmost one.

Referenced by GCell::getDown().

  GenericCollection< CGellT * > getGCells () [inline]
Returns: A GCellT Hurricane collection built upon the linear GCellT vector of the grid.

  GenericCollection< CGellT * > getGCellsColumn (unsigned int column, unsigned int rowStart, unsigned int rowStop) [inline]
Returns: A GCellT Hurricane collection that contains the part of column starting from rowStart to rowStop inclusive.

Referenced by KatabaticEngine::createDetailedGrid().

  GenericCollection< CGellT * > getGCellsRow (unsigned int row, unsigned int columnStart, unsigned int columnStop) [inline]
Returns: A GCellT Hurricane collection that contains the part of row starting from columnStart to columnStop inclusive.

Referenced by KatabaticEngine::createDetailedGrid().

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.